import o from "clsx";
import { jsx as i, jsxs as p, Fragment as re } from "react/jsx-runtime";
import T, { useRef as x, useLayoutEffect as F, useMemo as H, useState as se, useEffect as $, useCallback as oe, useContext as w } from "react";
/*!
  @versini/ui-table v3.1.0
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_TABLE__ || (window.__VERSINI_UI_TABLE__ = {
    version: "3.1.0",
    buildTime: "01/25/2025 10:55 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const B = "thead", O = "tfoot", v = "tbody", C = {
  ASC: "asc",
  DESC: "desc"
}, ie = ({
  mode: e,
  className: a,
  wrapperClassName: t,
  stickyHeader: r,
  stickyFooter: s
}) => ({
  wrapper: o(
    "not-prose relative w-full rounded-lg shadow-md",
    {
      "overflow-x-auto": !r && !s,
      "overflow-y-scroll": r || s,
      "bg-surface-darker": e === "dark" || e === "system",
      "bg-surface-light": e === "light" || e === "alt-system",
      "dark:bg-surface-light": e === "system",
      "dark:bg-surface-darker": e === "alt-system",
      "text-copy-light": e === "dark",
      "text-copy-dark": e === "light",
      "text-copy-light dark:text-copy-dark": e === "system",
      "text-copy-dark dark:text-copy-light": e === "alt-system"
    },
    t
  ),
  table: o("my-0 w-full text-left text-sm", a, {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  }),
  caption: o("py-2 text-sm font-bold", {
    "text-copy-light": e === "dark",
    "text-copy-dark": e === "light",
    "text-copy-light dark:text-copy-dark": e === "system",
    "text-copy-dark dark:text-copy-light": e === "alt-system"
  })
}), ne = ({
  className: e,
  stickyHeader: a,
  mode: t
}) => o(
  {
    "sticky top-0 z-10": a,
    "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": a && t === "dark",
    "shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": a && t === "system",
    "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem]": a && t === "light",
    "shadow-[rgb(65_65_65_/30%)_0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_0.5rem_1rem]": a && t === "alt-system"
  },
  e
), le = ({
  className: e,
  stickyFooter: a,
  mode: t
}) => o(
  {
    "sticky bottom-0 z-10": a,
    "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": a && t === "dark",
    "shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem] dark:shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": a && t === "system",
    "shadow-[rgb(65_65_65_/30%)_0_-0.5rem_1rem]": a && t === "light",
    "shadow-[rgb(65_65_65_/30%)_-0_0.5rem_1rem] dark:shadow-[rgb(190_190_190_/20%)_0_-0.5rem_1rem]": a && t === "alt-system"
  },
  e
), ce = ({
  mode: e,
  className: a,
  cellWrapper: t
}) => t === B || t === O ? o(
  {
    "bg-table-head-dark": e === "dark" || e === "system",
    "bg-table-head-light": e === "light" || e === "alt-system",
    "dark:bg-table-head-light": e === "system",
    "dark:bg-table-head-dark": e === "alt-system"
  },
  a
) : o(
  "border-b last:border-0",
  {
    "border-table-dark": e === "dark" || e === "system",
    "odd:bg-table-dark-odd even:bg-table-dark-even": t === v && e === "dark",
    "border-table-light": e === "light" || e === "alt-system",
    "odd:bg-table-light-odd even:bg-table-light-even": t === v && e === "light",
    "dark:border-table-light": e === "system",
    "odd:bg-table-dark-odd even:bg-table-dark-even dark:odd:bg-table-light-odd dark:even:bg-table-light-even": t === v && e === "system",
    "dark:border-table-dark": e === "alt-system",
    "odd:bg-table-light-odd even:bg-table-light-even dark:odd:bg-table-dark-odd dark:even:bg-table-dark-even": t === v && e === "alt-system"
  },
  a
), de = ({
  cellWrapper: e,
  className: a,
  compact: t,
  mode: r,
  align: s
}) => ({
  alignClasses: o({
    "flex justify-start text-left": s === "left",
    "flex justify-center text-center": s === "center",
    "flex justify-end text-right": s === "right"
  }),
  mainClasses: o(
    {
      "text-copy-light": r === "dark" || r === "system",
      "text-copy-dark": r === "light" || r === "alt-system",
      "dark:text-copy-dark": r === "system",
      "dark:text-copy-light": r === "alt-system",
      "px-4 py-3": !t && (e === B || e === O),
      "p-4": !t && e === v,
      "px-2 py-1.5": t
    },
    a
  )
}), ge = ({
  buttonClassName: e
}) => o("rounded-none text-sm", e), D = "av-button", R = "icon", q = "button", A = "link", he = ({
  type: e,
  size: a,
  labelRight: t,
  labelLeft: r,
  align: s
}) => {
  const n = "max-h-8 py-0 px-2", l = "max-h-9 h-8 px-3", c = "max-h-12 py-2 px-4";
  switch (e) {
    case q:
    case A:
      return o({
        [n]: a === "small",
        [l]: a === "medium",
        [c]: a === "large"
      });
    case R:
      return o("inline-flex items-center", {
        "justify-center": s === "center",
        "justify-start": s === "left",
        "justify-end": s === "right",
        "h-6 py-0": a === "small" && !(t || r),
        "h-6": a === "small" && (t || r),
        "h-8 py-1": a === "medium" && !(t || r),
        "h-8": a === "medium" && (t || r),
        "h-12 py-2": a === "large" && !(t || r),
        "h-12": a === "large" && (t || r)
      });
  }
}, be = ({
  type: e,
  size: a,
  labelRight: t,
  labelLeft: r
}) => {
  const s = "text-sm font-medium", n = "text-base font-medium", l = "text-lg font-medium";
  switch (e) {
    case q:
    case A:
      return o({
        "text-center": e === A,
        [s]: a === "small",
        [n]: a === "medium",
        [l]: a === "large"
      });
    case R:
      return o({
        [s]: a === "small" && (t || r),
        [n]: a === "medium" && (t || r),
        [l]: a === "large" && (t || r)
      });
  }
}, me = ({
  mode: e,
  noBackground: a,
  noTruncate: t,
  variant: r
}) => {
  if (a)
    return "not-prose";
  if (r === "primary")
    return o("not-prose", {
      truncate: !t,
      "text-copy-light": e === "dark" || e === "system",
      "text-copy-lighter": e === "light" || e === "alt-system",
      "dark:text-copy-lighter": e === "system",
      "dark:text-copy-light": e === "alt-system"
    });
  if (r === "secondary")
    return o("not-prose", {
      truncate: !t,
      "text-copy-light": e === "light" || e === "system",
      "text-copy-lighter": e === "dark" || e === "alt-system",
      "dark:text-copy-lighter": e === "alt-system",
      "dark:text-copy-light": e === "system"
    });
  if (r === "danger")
    return o("not-prose", {
      truncate: !t,
      "text-copy-light": e === "dark" || e === "system",
      "text-copy-lighter": e === "light" || e === "alt-system",
      "dark:text-copy-lighter": e === "system",
      "dark:text-copy-light": e === "alt-system"
    });
  if (r === "selected")
    return o("not-prose text-copy-lighter", {
      truncate: !t
    });
}, ue = ({
  mode: e,
  noBackground: a,
  variant: t
}) => {
  if (!a) {
    if (t === "primary")
      return o({
        "bg-action-dark": e === "dark",
        "bg-action-light": e === "light",
        "bg-action-dark dark:bg-action-light": e === "system",
        "bg-action-light dark:bg-action-dark": e === "alt-system"
      });
    if (t === "secondary")
      return o({
        "bg-action-dark": e === "light",
        "bg-action-light": e === "dark",
        "bg-action-dark dark:bg-action-light": e === "alt-system",
        "bg-action-light dark:bg-action-dark": e === "system"
      });
    if (t === "danger")
      return o({
        "bg-action-danger-dark": e === "dark",
        "bg-action-danger-light": e === "light",
        "bg-action-danger-dark dark:bg-action-danger-light": e === "system",
        "bg-action-danger-light dark:bg-action-danger-dark": e === "alt-system"
      });
    if (t === "selected")
      return "bg-action-selected-dark";
  }
}, ye = ({
  radius: e
}) => o({
  "rounded-full": e === "large",
  "rounded-md": e === "medium",
  "rounded-sm": e === "small"
}), ke = ({
  mode: e,
  disabled: a,
  variant: t
}) => {
  if (a)
    return "";
  if (t === "primary")
    return o("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "dark",
      "hover:bg-action-light-hover": e === "light",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "alt-system"
    });
  if (t === "secondary")
    return o("hover:text-copy-light-hover", {
      "hover:bg-action-dark-hover": e === "light",
      "hover:bg-action-light-hover": e === "dark",
      "hover:bg-action-dark-hover dark:hover:bg-action-light-hover": e === "alt-system",
      "hover:bg-action-light-hover dark:hover:bg-action-dark-hover": e === "system"
    });
  if (t === "danger")
    return o("hover:text-copy-light-hover", {
      "hover:bg-action-danger-dark-hover": e === "dark",
      "hover:bg-action-danger-light-hover": e === "light",
      "hover:bg-action-danger-dark-hover dark:hover:bg-action-danger-light-hover": e === "system",
      "hover:bg-action-danger-light-hover dark:hover:bg-action-danger-dark-hover": e === "alt-system"
    });
  if (t === "selected")
    return "hover:text-copy-light-hover hover:bg-action-selected-dark-hover";
}, fe = ({
  mode: e,
  disabled: a,
  variant: t
}) => {
  if (a)
    return "";
  if (t === "primary")
    return o("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "dark",
      "active:bg-action-light-active": e === "light",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "alt-system"
    });
  if (t === "secondary")
    return o("active:text-copy-light-active", {
      "active:bg-action-dark-active": e === "light",
      "active:bg-action-light-active": e === "dark",
      "active:bg-action-dark-active dark:active:bg-action-light-active": e === "alt-system",
      "active:bg-action-light-active dark:active:bg-action-dark-active": e === "system"
    });
  if (t === "danger")
    return o("active:text-copy-lighter-active", {
      "active:bg-action-danger-dark-active": e === "dark",
      "active:bg-action-danger-light-active": e === "light",
      "active:bg-action-danger-dark-active dark:active:bg-action-danger-light-active": e === "system",
      "active:bg-action-danger-light-active dark:active:bg-action-danger-dark-active": e === "alt-system"
    });
  if (t === "selected")
    return "active:text-copy-lighter-active active:bg-action-selected-dark-active";
}, ve = ({
  mode: e,
  noBorder: a,
  variant: t
}) => {
  if (a)
    return "border border-transparent";
  if (t === "primary")
    return o("border", {
      "border-border-dark": e === "dark",
      "border-border-accent": e === "light",
      "border-border-dark dark:border-border-accent": e === "system",
      "border-border-accent dark:border-border-dark": e === "alt-system"
    });
  if (t === "secondary")
    return o("border", {
      "border-border-dark": e === "light",
      "border-border-accent": e === "dark",
      "border-border-dark dark:border-border-accent": e === "alt-system",
      "border-border-accent dark:border-border-dark": e === "system"
    });
  if (t === "danger")
    return o("border", {
      "border-border-danger-dark": e === "dark",
      "border-border-danger-medium": e === "light",
      "border-border-danger-dark dark:border-border-danger-medium": e === "system",
      "border-border-danger-medium dark:border-border-danger-dark": e === "alt-system"
    });
  if (t === "selected")
    return "border border-border-selected-dark";
}, pe = ({
  focusMode: e
}) => o("focus:outline", "focus:outline-2", "focus:outline-offset-2", {
  "focus:outline-focus-dark": e === "dark",
  "focus:outline-focus-light": e === "light",
  "focus:outline-focus-light dark:focus:outline-focus-dark": e === "alt-system",
  "focus:outline-focus-dark dark:focus:outline-focus-light": e === "system"
}), _e = ({
  mode: e,
  raw: a,
  iconClassName: t
}) => a ? "" : o(
  {
    "text-copy-accent-dark": e === "light" || e === "alt-system",
    "text-copy-light": e === "dark" || e === "system",
    "dark:text-copy-light": e === "alt-system",
    "dark:text-copy-accent-dark": e === "system"
  },
  t
), xe = ({
  animated: e
}) => o({
  "transition-opacity duration-300 ease-in": e
}), we = ({
  type: e,
  className: a,
  raw: t,
  mode: r,
  focusMode: s,
  disabled: n,
  fullWidth: l,
  size: c,
  noBorder: d,
  labelRight: g,
  labelLeft: m,
  noBackground: b,
  variant: h,
  noTruncate: u,
  align: I,
  radius: S,
  animated: E
}) => (h || (h = "primary"), t ? o(D, a) : o(
  D,
  me({
    mode: r,
    variant: h,
    noBackground: b,
    noTruncate: u
  }),
  ue({ mode: r, noBackground: b, variant: h }),
  ye({ radius: S }),
  he({
    type: e,
    size: c,
    labelRight: g,
    labelLeft: m,
    align: I
  }),
  be({ type: e, size: c, labelRight: g, labelLeft: m }),
  ve({ mode: r, variant: h, noBorder: d }),
  pe({ focusMode: s }),
  ke({ mode: r, variant: h, disabled: n }),
  fe({ mode: r, variant: h, disabled: n }),
  {
    "w-full": l,
    "disabled:cursor-not-allowed disabled:opacity-50": n
  },
  o({
    "transition-[width] duration-300 ease-in-out": e === R && E
  }),
  a
)), Ne = (e, a, t) => {
  var r;
  !a && (!document.activeElement || document.activeElement !== e.currentTarget) && typeof ((r = e == null ? void 0 : e.currentTarget) == null ? void 0 : r.focus) == "function" && e.currentTarget.focus(), typeof t == "function" && t(e);
}, G = T.forwardRef((e, a) => {
  const { onClick: t, noInternalClick: r = !1, ...s } = e;
  return /* @__PURE__ */ i(
    "button",
    {
      ref: a,
      onClick: (n) => {
        Ne(n, r, t);
      },
      ...s
    }
  );
});
G.displayName = "BaseButton";
function Ce() {
  const e = x(!1);
  return $(() => (e.current = !0, () => {
    e.current = !1;
  }), []), oe(() => e.current, []);
}
function Te(e) {
  return H(() => e.every((a) => a == null) ? () => {
  } : (a) => {
    e.forEach((t) => {
      typeof t == "function" ? t(a) : t != null && (t.current = a);
    });
  }, e);
}
const Be = {
  x: 0,
  y: 0,
  width: 0,
  height: 0,
  top: 0,
  left: 0,
  bottom: 0,
  right: 0
};
function L(e) {
  const a = Ce(), t = x(0), r = x(null), [s, n] = se(Be), l = H(() => typeof ResizeObserver > "u" ? null : new ResizeObserver((c) => {
    const d = c[0];
    d && (cancelAnimationFrame(t.current), t.current = requestAnimationFrame(() => {
      r.current && a() && n(d.contentRect);
    }));
  }), [a]);
  return $(() => (r.current && (l == null || l.observe(r.current, e)), () => {
    l == null || l.disconnect(), t.current && cancelAnimationFrame(t.current);
  }), [l, e]), [r, s];
}
const Re = {
  small: 24,
  // w-6
  medium: 32,
  // w-8
  large: 48
  // w-12
}, Ie = {
  small: 8 * 2,
  // px-2 x 2
  medium: 12 * 2,
  // px-3 x 2
  large: 16 * 2
  // px-4 x 2
}, Se = 2, X = T.forwardRef(
  ({
    children: e,
    disabled: a = !1,
    mode: t = "system",
    focusMode: r = "system",
    fullWidth: s = !1,
    className: n,
    type: l = "button",
    raw: c = !1,
    noBorder: d = !1,
    "aria-label": g,
    label: m,
    size: b = "medium",
    labelRight: h,
    labelLeft: u,
    noBackground: I = !1,
    align: S = "center",
    radius: E = "large",
    variant: Z = "primary",
    iconClassName: J,
    animated: P = !1,
    ...K
  }, Q) => {
    const ee = we({
      type: R,
      mode: t,
      focusMode: r,
      fullWidth: s,
      disabled: a,
      raw: c,
      className: n,
      noBorder: d,
      size: b,
      labelRight: h,
      labelLeft: u,
      noBackground: I,
      align: S,
      radius: E,
      variant: Z,
      animated: P
    }), te = _e({ mode: t, raw: c, iconClassName: J }), j = xe({ animated: P }), [y, z] = L(), [k, V] = L(), [N, W] = L(), M = x(0), f = x(null), ae = Te([Q, f]);
    return F(() => {
      N && N.current && (M.current = W.width + Ie[b] + (d ? 0 : Se));
    }, [W, N, b, d]), F(() => {
      f && f.current && (h && y && z.width > 0 ? (y.current && (y.current.style.opacity = "100"), f.current.style.width = `${z.width + M.current}px`) : u && V.width > 0 ? (k.current && (k.current.style.opacity = "100"), f.current.style.width = `${V.width + M.current}px`) : (y.current && (y.current.style.opacity = "0"), k.current && (k.current.style.opacity = "0"), f.current.style.width = `${Re[b]}px`));
    }, [
      z,
      h,
      y,
      V,
      u,
      k,
      b
    ]), /* @__PURE__ */ p(
      G,
      {
        ref: ae,
        className: ee,
        disabled: a,
        type: l,
        "aria-label": g || m,
        ...K,
        children: [
          /* @__PURE__ */ i("span", { ref: k, className: j, children: u && /* @__PURE__ */ i("span", { className: "pr-2", children: u }) }),
          /* @__PURE__ */ i("span", { ref: N, className: te, children: e }),
          /* @__PURE__ */ i("span", { ref: y, className: j, children: h && /* @__PURE__ */ i("span", { className: "pl-2", children: h }) })
        ]
      }
    );
  }
);
X.displayName = "ButtonIcon";
/*!
  @versini/ui-button v4.2.0
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_BUTTON__ || (window.__VERSINI_UI_BUTTON__ = {
    version: "4.2.0",
    buildTime: "01/25/2025 10:54 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const Y = T.forwardRef(
  ({
    children: e,
    mode: a = "system",
    className: t,
    active: r = !1,
    ...s
  }, n) => {
    const l = r ? o(
      "relative",
      "focus-within:static",
      "focus-within:after:border-transparent",
      "after:absolute",
      "after:content-['']",
      "after:border-b-2",
      "after:bottom-[-4px]",
      "after:left-0",
      "after:right-0",
      {
        "after:border-table-dark": a === "dark",
        "after:border-table-light": a === "light",
        "after:border-table-dark dark:after:border-table-light": a === "system",
        "after:border-table-light dark:after:border-table-dark": a === "alt-system"
      }
    ) : "";
    return /* @__PURE__ */ i("div", { className: l, children: /* @__PURE__ */ i(
      X,
      {
        className: o("justify-center", t),
        ref: n,
        mode: a,
        radius: "small",
        ...s,
        children: e
      }
    ) });
  }
);
Y.displayName = "ButtonSort";
const U = ({
  children: e,
  fill: a,
  viewBox: t,
  className: r,
  defaultViewBox: s,
  size: n,
  title: l,
  semantic: c = !1,
  ...d
}) => {
  const g = o(n, r);
  return /* @__PURE__ */ p(re, { children: [
    /* @__PURE__ */ i(
      "svg",
      {
        xmlns: "http://www.w3.org/2000/svg",
        className: g,
        viewBox: t || s,
        fill: a || "currentColor",
        role: "img",
        "aria-hidden": !c,
        focusable: !1,
        ...d,
        children: e
      }
    ),
    l && c && /* @__PURE__ */ i("span", { className: "sr-only", children: l })
  ] });
};
/*!
  @versini/ui-svgicon v4.0.7
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_SVGICON__ || (window.__VERSINI_UI_SVGICON__ = {
    version: "4.0.7",
    buildTime: "01/20/2025 01:49 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const Ee = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...s
}) => /* @__PURE__ */ p(
  U,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort",
    ...s,
    children: [
      /* @__PURE__ */ i(
        "path",
        {
          d: "M297.4 137.4c-12.5 12.5-12.5 32.8 0 45.3s32.8 12.5 45.3 0l41.3-41.4V448c0 17.7 14.3 32 32 32s32-14.3 32-32V141.3l41.4 41.4c12.5 12.5 32.8 12.5 45.3 0 6.2-6.2 9.4-14.4 9.4-22.6s-3.1-16.4-9.4-22.6l-96-96c-6.3-6.4-14.5-9.5-22.7-9.5s-16.4 3.1-22.6 9.4z",
          opacity: r ? "1" : "0.4"
        }
      ),
      /* @__PURE__ */ i("path", { d: "M137.4 470.6c12.5 12.5 32.8 12.5 45.3 0l96-96c12.5-12.5 12.5-32.8 0-45.3s-32.8-12.5-45.3 0L192 370.7V64c0-17.7-14.3-32-32-32s-32 14.3-32 32v306.7l-41.4-41.3c-12.5-12.5-32.8-12.5-45.3 0s-12.5 32.8 0 45.3l96 96z" })
    ]
  }
), ze = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...s
}) => /* @__PURE__ */ p(
  U,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort Down",
    ...s,
    children: [
      /* @__PURE__ */ i(
        "path",
        {
          d: "M288 64c0-17.7 14.3-32 32-32h224c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h160c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h96c17.7 0 32 14.3 32 32s-14.3 32-32 32h-96c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h32c17.7 0 32 14.3 32 32s-14.3 32-32 32h-32c-17.7 0-32-14.3-32-32",
          opacity: r ? "1" : "0.4"
        }
      ),
      /* @__PURE__ */ i("path", { d: "M128 480c9 0 17.5-3.8 23.6-10.4l88-96c11.9-13 11.1-33.3-2-45.2s-33.3-11.1-45.2 2L160 365.7V64c0-17.7-14.3-32-32-32S96 46.3 96 64v301.7l-32.4-35.3c-11.9-13-32.2-13.9-45.2-2s-13.9 32.2-2 45.2l88 96c6.1 6.6 14.6 10.4 23.6 10.4" })
    ]
  }
), Ve = ({
  className: e,
  viewBox: a,
  title: t,
  monotone: r,
  ...s
}) => /* @__PURE__ */ p(
  U,
  {
    defaultViewBox: "0 0 576 512",
    size: "size-5",
    viewBox: a,
    className: e,
    title: t || "Sort Up",
    ...s,
    children: [
      /* @__PURE__ */ i(
        "path",
        {
          d: "M288 64c0-17.7 14.3-32 32-32h32c17.7 0 32 14.3 32 32s-14.3 32-32 32h-32c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h96c17.7 0 32 14.3 32 32s-14.3 32-32 32h-96c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h160c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32m0 128c0-17.7 14.3-32 32-32h224c17.7 0 32 14.3 32 32s-14.3 32-32 32H320c-17.7 0-32-14.3-32-32",
          opacity: r ? "1" : "0.4"
        }
      ),
      /* @__PURE__ */ i("path", { d: "M128 32c9 0 17.5 3.8 23.6 10.4l88 96c11.9 13 11.1 33.3-2 45.2s-33.3 11.1-45.2-2L160 146.3V448c0 17.7-14.3 32-32 32s-32-14.3-32-32V146.3l-32.4 35.3c-11.9 13-32.2 13.9-45.2 2s-13.9-32.2-2-45.2l88-96C110.5 35.8 119 32 128 32" })
    ]
  }
);
/*!
  @versini/ui-icons v4.6.0
  © 2025 gizmette.com
*/
try {
  window.__VERSINI_UI_ICONS__ || (window.__VERSINI_UI_ICONS__ = {
    version: "4.6.0",
    buildTime: "01/20/2025 04:20 PM EST",
    homepage: "https://github.com/aversini/ui-components",
    license: "MIT"
  });
} catch {
}
const _ = T.createContext({
  mode: "light",
  cellWrapper: "thead",
  stickyHeader: !1,
  stickyFooter: !1,
  compact: !1
}), Ue = ({
  children: e,
  mode: a = "system",
  caption: t,
  compact: r,
  summary: s,
  className: n,
  wrapperClassName: l,
  maxHeight: c,
  stickyHeader: d,
  stickyFooter: g,
  ...m
}) => {
  const b = ie({
    mode: a,
    className: n,
    wrapperClassName: l,
    stickyHeader: d,
    stickyFooter: g
  });
  return /* @__PURE__ */ i(
    _.Provider,
    {
      value: { mode: a, stickyHeader: d, stickyFooter: g, compact: r },
      children: /* @__PURE__ */ i(
        "div",
        {
          className: b.wrapper,
          ...c && {
            style: { maxHeight: c }
          },
          children: /* @__PURE__ */ p("table", { className: b.table, summary: s, ...m, children: [
            t && /* @__PURE__ */ i("caption", { className: b.caption, children: t }),
            e
          ] })
        }
      )
    }
  );
}, Pe = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = w(_);
  r.cellWrapper = B;
  const s = ne({
    className: a,
    mode: r.mode,
    stickyHeader: r.stickyHeader
  });
  return /* @__PURE__ */ i("thead", { className: s, ...t, children: e });
}, je = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = w(_);
  r.cellWrapper = O;
  const s = le({
    className: a,
    mode: r.mode,
    stickyFooter: r.stickyFooter
  });
  return /* @__PURE__ */ i("tfoot", { className: s, ...t, children: e });
}, We = ({ children: e, ...a }) => {
  const t = w(_);
  return t.cellWrapper = v, /* @__PURE__ */ i("tbody", { ...a, children: e });
}, Fe = ({
  children: e,
  className: a,
  ...t
}) => {
  const r = w(_), s = ce({
    mode: r.mode,
    cellWrapper: r.cellWrapper,
    className: a
  });
  return /* @__PURE__ */ i("tr", { className: s, ...t, children: e });
}, Me = ({
  children: e,
  component: a,
  className: t,
  align: r,
  ...s
}) => {
  const n = w(_), l = a || (n.cellWrapper === B ? "th" : "td"), { mainClasses: c, alignClasses: d } = de({
    cellWrapper: n.cellWrapper,
    className: t,
    mode: n.mode,
    compact: n.compact,
    align: r
  });
  return r ? /* @__PURE__ */ i(l, { className: c, ...s, children: /* @__PURE__ */ i("div", { className: d, children: e }) }) : /* @__PURE__ */ i(l, { className: c, ...s, children: e });
}, De = ({
  align: e,
  children: a,
  buttonClassName: t,
  className: r,
  component: s,
  focusMode: n = "alt-system",
  mode: l = "alt-system",
  onClick: c,
  sortDirection: d,
  sortedCell: g,
  cellId: m,
  ...b
}) => {
  const h = ge({ buttonClassName: t });
  return /* @__PURE__ */ i(
    Me,
    {
      component: s,
      className: r,
      role: "columnheader",
      "aria-sort": d === C.ASC && g === m ? "ascending" : d === C.DESC && g === m ? "descending" : "other",
      ...b,
      children: /* @__PURE__ */ i(
        Y,
        {
          active: g === m,
          className: h,
          onClick: c,
          align: e,
          noBorder: !0,
          focusMode: n,
          mode: l,
          fullWidth: !0,
          labelRight: a,
          children: d === C.ASC && g === m ? /* @__PURE__ */ i(Ve, { className: "size-4", monotone: !0 }) : d === C.DESC && g === m ? /* @__PURE__ */ i(ze, { className: "size-4", monotone: !0 }) : /* @__PURE__ */ i(Ee, { className: "size-4", monotone: !0 })
        }
      )
    }
  );
};
export {
  Ue as Table,
  We as TableBody,
  Me as TableCell,
  De as TableCellSort,
  C as TableCellSortDirections,
  je as TableFooter,
  Pe as TableHead,
  Fe as TableRow
};
